Create a backport of 'interface-monitor isn't active' fix to Mitaka

Bug #1815112 reported by Ruslan Aliev on 2019-02-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mirantis OpenStack
High
Roman Lubianyi

Bug Description

There is need to provide backport fix of 'Interface monitor is not active' bug to Mitaka version of python-neutron package, because customer faced with this problem on environment.

Launchpad link - https://bugs.launchpad.net/neutron/+bug/1584647
Patchset link - https://review.openstack.org/#/c/319788/

Changed in mos:
milestone: none → 9.2-mu-11
assignee: nobody → MOS Maintenance (mos-maintenance)
importance: Undecided → High
status: New → Confirmed
tags: added: sla1
tags: added: customer-found
Changed in mos:
assignee: MOS Maintenance (mos-maintenance) → Roman Lubianyi (rlubianyi)

Fix proposed to branch: 9.0/mitaka
Change author: Hong Hui Xiao <email address hidden>
Review: https://review.fuel-infra.org/40417

Changed in mos:
status: Confirmed → In Progress

Reviewed: https://review.fuel-infra.org/40417
Submitter: Pkgs Jenkins <email address hidden>
Branch: 9.0/mitaka

Commit: ea34ddd7eeb5f9ad553dfab804ebfa43967a7fc2
Author: Hong Hui Xiao <email address hidden>
Date: Fri Feb 8 11:48:58 2019

Wait for ovsdb_monitor to be active before use it

There is a race between ovsdb_monitor becoming active and using
ovsdb_monitor. Sometimes, code [1] will be hit at ovs-agent startup.

The fix here will block the start of ovsdb_monitor, so that the
following code to use the ovsdb_monitor will have ovsdb_monitor be
active.

[1] https://goo.gl/RJX4I5
Closes-bug: #1584647
Closes-bug: 1815112

Change-Id: I23aef0db46869930c169d6caf47aa44e9c3641ff

Changed in mos:
status: In Progress → Fix Committed
Mikhail Samoylov (msamoylov) wrote :

Code applied to env.
root@node-1:~# grep 'self._monitor.start(block=True)' /usr/lib/python2.7/dist-packages/neutron/agent/linux/polling.py
        self._monitor.start(block=True)

Mikhail Samoylov (msamoylov) wrote :

root@node-1:~# grep 'self._monitor.start(block=True)' /usr/lib/python2.7/dist-packages/neutron/agent/linux/polling.py
        self._monitor.start(block=True)
root@node-1:~# apt-cache policy python-neutron
python-neutron:
  Installed: 2:8.4.0-2~u14.04+mos30
  Candidate: 2:8.4.0-2~u14.04+mos30
  Version table:
 *** 2:8.4.0-2~u14.04+mos30 0
       1050 http://mirror.seed-us1.fuel-infra.org/mos-repos/ubuntu/snapshots/9.0-2019-04-02-072321/ mos9.0-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2:8.4.0-2~u14.04+mos29 0
       1050 http://mirror.seed-us1.fuel-infra.org/mos-repos/ubuntu/snapshots/9.0-2019-04-02-072321/ mos9.0-updates/main amd64 Packages
       1050 http://mirror.fuel-infra.org/mos-repos/ubuntu/9.2/ mos9.0-updates/main amd64 Packages
     2:8.1.1-1~u14.04+mos21 0
       1050 http://10.109.0.2:8080/mitaka-9.0/ubuntu/x86_64/ mos9.0/main amd64 Packages
     1:2014.1.5-0ubuntu8 0
       1001 http://mirror.seed-us1.fuel-infra.org/pkgs/snapshots/ubuntu-2019-02-06-000001/ trusty-updates/main amd64 Packages
     1:2014.1.3-0ubuntu1.1 0
       1001 http://mirror.seed-us1.fuel-infra.org/pkgs/snapshots/ubuntu-2019-02-06-000001/ trusty-security/main amd64 Packages
     1:2014.1-0ubuntu1 0
       1001 http://mirror.seed-us1.fuel-infra.org/pkgs/snapshots/ubuntu-2019-02-06-000001/ trusty/main amd64 Packages

Changed in mos:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers